### Signal

# Gio SimpleAction::activate

since: 2.28

#### Declaration

    void
    activate (
      GSimpleAction* self,
      GVariant* parameter,
      gpointer user_data
    )

#### Description

Indicates that the action was just activated.

`parameter` will always be of the expected type, i.e. the parameter type specified when the action was created. If an incorrect type is given when activating the action, this signal is not emitted.

Since GLib 2.40, if no handler is connected to this signal then the default behaviour for boolean-stated actions with a `NULL` parameter type is to toggle them via the `GSimpleAction::change-state` signal. For stateful actions where the state type is equal to the parameter type, the default is to forward them directly to `GSimpleAction::change-state`. This should allow almost all users of `GSimpleAction` to connect only one handler or the other.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.
Available since: 2.28

#### Parameters

`parameter`

  Type: `GVariant`

  The parameter to the activation, or `NULL` if it has no parameter.

  The argument can be `NULL`.
  The data is owned by the caller of the function.